<section class="dwfe-preview-pic-circled">

  <mat-card class="dwfe-preview-pic-circled__card"
            [ngStyle]="{ width: externalLinearSize,
                         height: externalLinearSize }">

    <div class="dwfe-preview-pic-circled__pic-wrap">

      <img class="dwfe-preview-pic-circled__img" *ngIf="isPicUrl()"
           [src]="picUrl">

      <svg class="dwfe-preview-pic-circled__svg" *ngIf="!isPicUrl()"
           [ngStyle]="{ width: svgLinearSize,
                        height: svgLinearSize }"
           xmlns="http://www.w3.org/2000/svg">
        <use xlink:href="#svg-default-userpic"></use>
      </svg>

    </div>

    <dwfe-action-clear (takeClick)="takeClearClick.emit(true)" *ngIf="showClearBtn && isPicUrl()"></dwfe-action-clear>

  </mat-card>

</section>
